## asyncio-dgram 2.2.0

=== Makefile ===
DESTDIR ?= /
UT ?=

SHELL = /usr/bin/env bash
PYTHON := $(shell which python3)
PACKAGE := $(shell $(PYTHON) setup.py --name | tr '-' '_')
VERSION := $(shell $(PYTHON) setup.py --version)

# List of files in the repository
TEST_FILES := $(wildcard test/test_*.py)
PKG_FILES := $(shell find $(PACKAGE) -type f -name '*.py')
REQ_FILES := $(wildcard requirements*.txt)
BIN_FILES := $(wildcard bin/*)

# Inferred targets from file names
LINT_TARGETS := setup.py $(PKG_FILES) $(BIN_FILES) $(shell find test -type f -name '*.py')
TEST_TARGETS := $(TEST_FILES:test/test_%.py=test_%)
EXT_TARGETS := $(wildcard ext/*)

.PHONY: \
	$(EXT_TARGETS) \
	$(REQ_FILES) \
	$(TEST_TARGETS) \
	clean \
	ext \
	format \
	install \
	lint \
	requirements \
	test

default:


clean:
	@rm -rf .pytest_cache
	@rm -rf .eggs
	@rm -rf dist
	@rm -rf build
	@rm -rf $(PACKAGE).egg-info


requirements: $(REQ_FILES)
$(REQ_FILES):
	@$(PYTHON) -m pip install --disable-pip-version-check -r $@


dist: dist/$(PACKAGE)-$(VERSION).tar.gz
dist/$(PACKAGE)-$(VERSION).tar.gz: $(PKG_FILES) setup.py
	@$(PYTHON) -m pip install --disable-pip-version-check wheel
	$(PYTHON) setup.py sdist bdist_wheel

upload: dist
	@$(PYTHON) -m pip install --disable-pip-version-check wheel
	$(PYTHON) -m twine upload dist/*$(VERSION)*

upload-test: dist
	@$(PYTHON) -m pip install --disable-pip-version-check twine
	$(PYTHON) -m twine upload --repository testpypi dist/*$(VERSION)*

format:
	@black $(LINT_TARGETS)
lint:
	@flake8 --filename='*' $(LINT_TARGETS)
type-check:
	@mypy $(PACKAGE) test/  example.py


test:
	@$(PYTHON) -m pytest --log-level=DEBUG -W default -v -s
$(TEST_TARGETS):
	@$(PYTHON) -m pytest --log-cli-level=DEBUG -W default -v -s test/$(@).py $(if $(UT),-k $(UT),)


install:
	$(PYTHON) setup.py install --root $(DESTDIR) --prefix .

=== debian/changelog ===
asyncio-dgram (2.2.0-3) unstable; urgency=medium

  * No longer depend on deprecated module python3-pkg-resources.
    (Closes: #1083307)
  * Move from Python team to Home Assistant team.
  * Move packages required for tests to Build-Depends-Indep.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sun, 16 Feb 2025 20:01:32 -0500

asyncio-dgram (2.2.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 09:39:44 +0900

asyncio-dgram (2.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1076765)

 -- Edward Betts <edward@4angle.com>  Tue, 23 Jul 2024 21:28:58 +0900

=== debian/control ===
Source: asyncio-dgram
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/jsbronder/asyncio-dgram
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/asyncio-dgram
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/asyncio-dgram.git

Package: python3-asyncio-dgram
Architecture: all
Depends:
 ${misc:Depends},
 python3:any,
Description: Enhanced Datagram protocol support for Asyncio
 This package offers advanced Datagram protocol support tailored for Asyncio,
 inspired by suggestions for a more intuitive approach to handling datagrams
 in Python. It simplifies the use of datagrams by providing high-level
 operations that eliminate the repetitive need to extend
 `asyncio.DatagramProtocol` for common use cases.
 .
 The design philosophy is to streamline datagram-based communication by
 offering a straightforward API that diverges from the broader, sometimes
 cumbersome, options provided by native asyncio. It includes easy-to-use
 functions for connecting to a specific endpoint, binding to an address to
 receive data from any source, and integrating with existing sockets for
 custom configurations.
 .
 Ideal for applications looking to implement network communication where UDP
 is involved, it facilitates quick and efficient setup of UDP servers and
 clients, supports voice/video streaming services, or lightweight IoT
 protocols, all without the lower-level intricacies of socket programming.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=-k "not test_protocol_pause_resume"

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/jsbronder/asyncio-dgram/tags .*/v?(\d\S+)\.tar\.gz

## asyncio-dgram 3.0.0

=== Makefile ===
# Passed to pytest -k and used to select only tests which match the given
# substring expression
UT ?=

# When enabled, tests/type-checking will be more verbose and not capture
# stdout/err.
V ?=

# Run uv offline by default
OFFLINE ?= 1

SHELL = /usr/bin/env bash
PACKAGE := asyncio_dgram

# List of files in the repository
TEST_FILES := $(shell find test -type f -name '*.py')
PKG_FILES := $(shell find $(PACKAGE) -type f -name '*.py')
BIN_FILES := $(wildcard bin/*)

# Inferred targets from file names
LINT_TARGETS := example.py $(PKG_FILES) $(BIN_FILES) $(TEST_FILES)
TEST_TARGETS := $(TEST_FILES:test/test_%.py=test_%)

UV := uv --no-progress
ifeq ($(OFFLINE), 1)
	UV := $(UV) --offline
endif

.PHONY: \
	$(TEST_TARGETS) \
	sync \
	format \
	lint \
	type-check \
	test

default:

# Purposely ignoring $(OFFLINE) here
sync:
	@uv sync --frozen

check-format:
	@$(UV) run black --check $(LINT_TARGETS)
format:
	@$(UV) run black $(LINT_TARGETS)
lint:
	@$(UV) run flake8 --filename='*' $(LINT_TARGETS)
type-check:
	@$(UV) run mypy $(if $(V),--show-error-context) $(PACKAGE) test/  example.py
test:
	@$(UV) run pytest --log-level=DEBUG -W default -v -s
$(TEST_TARGETS):
	@$(UV) run pytest --log-cli-level=DEBUG -W default -v \
		test/$(@).py \
		$(if $(V),,-s) \
		$(if $(UT),-k $(UT))

=== debian/changelog ===
asyncio-dgram (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream switched build system from setuptools to hatchling.
  * Switch to autopkgtest-pkg-pybuild.
  * Switch to pybuild-plugin-pyproject.
  * Remove 'Priority: optional', now the default.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sun, 25 Jan 2026 14:10:12 +0000

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,26 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-hatchling,
 Build-Depends-Indep:
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/jsbronder/asyncio-dgram
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/asyncio-dgram
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/asyncio-dgram.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-asyncio-dgram
 Architecture: all
 Depends:
+ python3:any,
  ${misc:Depends},
- python3:any,
 Description: Enhanced Datagram protocol support for Asyncio
  This package offers advanced Datagram protocol support tailored for Asyncio,
  inspired by suggestions for a more intuitive approach to handling datagrams

=== debian/watch ===
Version: 5

Template: GitHub
Owner: jsbronder
Project: asyncio-dgram
